# @synopsis AX_DIST_MSI([File])
# ---------------------------------------------------------
# @author Tom Howard <tomhoward@users.sf.net>
# @version $Id$
# @copyright 2004 Tom Howard
#
# Adds support for a msi (Microsoft Installer) dist target
#
# You must manually build the msi file yourself (probably from another
# computer). But it will be added to the list of extra bin dists and flagged
# for uploading (see ax_extra_dist.m4 and ax_upload.m4 for details).
#
# Make sure ax_dist_msi.am is added to aminclude.am and you have 
# 'include aminclude.am' in your toplevel Makefile.am
AC_DEFUN([AX_DIST_MSI],
[
echo "adding dist-msi support"
MSI_SETUP_FILE="$1"
AC_SUBST(MSI_SETUP_FILE)
AM_CONDITIONAL(USING_AX_DIST_MSI, [test "x$MSI_SETUP_FILE" != "x"])
echo -n "setting msi file... "
if test "x$MSI_SETUP_FILE" != "x"; then
	echo "\"$MSI_SETUP_FILE\"";
else
	echo "failed";
fi
])# AX_DIST_MSI
